# Les news Usenet

Le mot « news » désigne en anglais à la fois le support et le contenu d'un média d'actualité : la meilleure façon de traduire ce mot serait « les informations », mais la connotation télévisuelle est trop forte pour que ce terme soit approprié. La nomenclature française recommande le terme de « groupe de discussion » pour traduire « newsgroup », ce qui est peu explicite et trop proche de « groupe de travail ». Les utilisateurs francophones, eux, se contentent de dire « les niouzes ».

## Que sont les news ?

Les news sont un service de messages de l'Internet dont le fonctionnement ressemble au courrier des lecteurs dans un magazine. Chacun peut poster des messages dans des rubriques classées par thème (appelées groupes de discussion ou newsgroups), ou bien répondre à d'autres articles déjà parus. Au bout d'un temps de diffusion de quelques heures, ces articles deviennent accessibles aux lecteurs du monde entier, et le restent entre une et trois semaines; après quoi ils sont automatiquement effacés pour laisser la place aux nouveaux messages. La plupart du temps, le dialogue consiste en un novice qui pose une question, et d'autres personnes qui répondent, ou bien des commentaires sur l'actualité du thème du groupe. Certains groupes proposent des petites annonces, d'autres diffusent des programmes ou des images, certains (comme `fr.soc.politique`) sont en permanence le siège de débats houleux, etc.

Il y a environ 3700 newsgroups accessibles depuis l'ENS, dont 320 en langue française, qui vont de `fr.rec.cuisine` à `misc.activism.progressive`, en passant par `talk.philosophy.humanism`, `rec.arts.books.tolkien`, `bionet.photosynthesis` et `fr.petites-annonces.emploi` : vous trouverez forcément votre bonheur ! Sur chacun d'eux, il arrive en moyenne une trentaine de nouveaux messages par jour, ce qui ne représente pas moins de 60 méga-octets (plus de 70 fois la Bible) de données quotidiennes sur Usenet (c'est le nom qu'on donne à l'ensemble des groupes).

### Les noms des groupes de news

Informatique oblige, le nom d'un newsgroup ressemble plus à une cote de bibliothèque qu'au nom d'un magazine : il se lit mot par mot, de gauche à droite, du plus général au plus précis. Les newsgroups dont le nom commence pareil forment une catégorie du classement, ou hiérarchie. Voici un rapide résumé des hiérarchies principales; il vous sera utile pour trouver les newsgroups qui parlent de vos centres d'intéret sans parcourir la liste des 3700 (rassurez-vous, cela deviendra moins théorique d'ici peu !). Ci-dessous, lorsqu'un astérisque (*) est marquée, c'est qu'il s'agit du nom d'une hiérarchie : lorsque vous lisez `comp.sys.*`, comprenez « catégorie comp point sys point n'importe quoi ».

- `biz.*` pour parler de bizness.
- `comp.*` (pour computer) est la hiérarchie de Usenet dans laquelle on parle d'informatique. Vous l'aurez deviné, c'est la plus fournie; on y trouve les hiérarchies `comp.binaries.*` pour la diffusion de logiciels, `comp.sources.*` pour la diffusion de programmes en divers langages, `comp.sys.*` pour parler de divers systèmes (architectures et systèmes d'exploitation) etc.
- `humanities.*` est une hiérarchie (récente, donc encore peu fournie) pour parler de l'Homme.
- `news.*` pour parler des news elles-mêmes; un groupe important est `news.announce.newusers`, auquel vous êtes abonné par défaut, qui propose une FAQ sur l'utilisation des news et autres messages d'information pour les nouveaux utilisateurs.
- `rec.*` pour recreation, c'est-à-dire distraction. C'est vaste, on y trouve les hiérarchies `rec.arts.*`, `rec.sport.*`, `rec.games.*` etc.
- `sci.*` pour science, depuis `sci.math` jusqu'à `sci.skeptic` (!).
- `soc.*` pour society.
- `talk.*` pour les discussions genre « coin du feu » : de `talk.abortion` à `talk.rumors`.
- `misc.*` (miscellaneous) pour le reste... Parmi eux, `misc.misc` est le groupe où on tolère le moins le hors-sujet (lisez la FAQ si vous ne le croyez pas !)

En marge de ces hiérarchies que le monde entier reçoit, qu'on appelle big nine (pour les neuf préfixes principaux), on reçoit à l'ENS les hiérarchies suivantes :

- `ens.*` contient quelques newsgroups dont la diffusion est restreinte à l'ENS.
- `bit.*` contient des newsgroups, qui diffusent chacun exactement les mêmes messages qu'une liste de diffusion à laquelle ils sont reliés par un système informatique (une passerelle) qui reporte les messages reçus sur la liste dans le newsgroup et inversement.
- On trouve quelques hiérarchies spécialisées dans un domaine précis : `bionet.*` (biologie),`eunet.*` (tentative de « Usenet Européen »), `gnu.*` (le projet GNU ), `ieee.*` (l'IEEE, institut de normalisation américain), `k12.*` (une hiérarchie réservée aux universitaires, en voie de disparition), `vmsnet.*` (le réseau VMS, datant de la préhistoire de l'Internet).
- Les hiérarchies nationales, en langue locale, commencent par l'indicatif du pays. À l'ENS, on reçoit `be.*`, `can.*`, `ch.*`, `de.*`, `es.*`, `fr.*`, `it.*`, `nl.*`, `no.*`, `pt.*`, `qc.*` pour respectivement et dans cet ordre, la Belgique, le Canada, la Suisse, l'Allemagne, l'Espagne, la France, l'Italie, la Hollande, la Norvège, le Portugal et le Québec.

## Les lecteurs de news

### Logiciels disponibles à l'École

- `trn` : lecteur en mode texte, assez austère mais puissant.
- `slrn` : lecteur convivial en mode texte, en couleurs. C'est le choix alternatif à Knews.
- `flrn` : le lecteur de news de forum (forum fonctionne comme un serveur de news accessible depuis l'ENS seulement).
- `knews` : en mode graphique, le lecteur par défaut de la config conscrits. Il est en couleurs, en français, et s'utilise avec la souris.
- `Netscape` : voir le paragraphe suivant pour savoir ce que l'on en pense...

### Knews ou Netscape ?

`knews` est un programme de lecture de news utilisable à la souris; c'est le lecteur de news par défaut de la config conscrits, il est partiellement traduit en français (peut-être le sera-t-il totalement un jour : ne perdez pas espoir !). Il faut savoir que `Netscape` est également capable de lire les news, et ce de façon plus simple, mais il a deux inconvénients :

1. Il n'affiche pas la liste des 3700 newsgroups disponibles (il faut connaître le nom exact des newsgroups qu'on désire lire);
2. Il est très facile pour vos futurs auditeurs de savoir avec quel logiciel vous écrivez dans les news, et le faire avec `Netscape` vous donnera un a priori négatif aux yeux des vieux briscards de Usenet (surtout francophones - souvenir du temps où `Netscape` envoyait les accents sous une forme illisible de tout autre logiciel de news que lui-même).

C'est un comportement stupide, certes, mais n'oubliez pas que vous n'écrivez pas pour vous mais pour vos lecteurs... D'un autre côté, `knews` est un logiciel puissant capable de faire du tri automatique dans les news pour vous éviter du temps perdu : à vous de voir.

### Guide de survie avec Netscape

Vous aurez compris de quel côté le coeur de votre serviteur balance dans le dilemme de l'alinéa précédent; j'espère donc que vous ne m'en voudrez pas d'expédier rapidement le cas `Netscape` !

Pour ouvrir le module news de celui-ci (lancer `communicator`), lancez-le et sélectionnez « Netscape News » dans le menu « Window » : une nouvelle fenêtre apparaît. Pour lire un newsgroup, choisissez « Add newsgroup... » dans le menu « File »; les messages non lus dans ce newsgroup apparaissent alors dans la case en haut à droite. Cliquez sur l'un d'eux et son contenu apparaîtra dans la case du bas. Pour poster ou répondre, utilisez la barre de boutons juste sous les menus.

### Utilisation de flrn

C'est très simple : c'est comme forum ! (à ceci près que la commande à taper est `flrn`, et non `forum`).

Attention : il n'y a pas de censure dans les niouzes. D'autre part, lisez les conseils relatifs à l'écriture dans les niouzes ci-dessous.

## Utilisation de Knews

De même que votre lecteur de courrier électronique, `knews` est accessible par un bouton sur la boîte à boutons de la config conscrits. Cliquez dessus, une fenêtre jaune (vide pour l'instant) apparaît.

Pour quitter `knews`, il faut cliquer sur le bouton « Quitter » en haut à gauche de la barre des boutons. Si à la place vous lisez « Retour », c'est que vous êtes dans un groupe de discussion; cliquez sur « Retour » pour revenir au point de départ.

### S'abonner à un groupe

Cliquez sur « Tous les groupes »; la visionneuse du haut se remplit alors d'une liste faramineuse de newsgroups, classés hiérarchiquement selon le principe exposé plus haut. Pour l'instant, sélectionnez un groupe francophone comme `fr.rec.cuisine` en faisant défiler cette liste à l'aide de la souris, puis cliquez sur « S'abonner ». Cliquez alors sur « Retour ». Le groupe que vous avez choisi s'affiche alors dans la liste du haut.

Contrairement à l'inscription à une liste de diffusion, le fait de s'abonner à un newsgroup ne vous enregistre dans les fichiers d'aucune autorité. Le logiciel de news emploie l'expression « s'abonner » dans un sens métaphorique et se contente de noter dans ses tablettes que vous êtes intéressé par tel groupe : il vous les proposera en priorité à chaque fois que vous voudrez lire les news, ce qui vous évite d'avoir à reparcourir la liste complète à chaque fois.

### Lire un groupe

Pour lire les messages d'un groupe auquel vous êtes abonné, cliquez sur son nom dans la liste puis cliquez sur « Lire groupe ». La liste de groupes est alors remplacée par la liste des sujets de discussion en cours sur le groupe choisi, précédés par le nombre de messages traitant de ce sujet. Pour des raisons pédagogiques, je vous demande de choisir d'abord un sujet comportant un nombre élevé de messages (au moins 5) : cliquez dessus et sélectionnez « Voir enfilade ».

### Les enfilades

Les threads (en français, enfilades) sont des agrégats de messages se répondant les uns aux autres. `knews` les présente visuellement sous forme d'un arbre : les messages sont représentés par des boutons (étiquetés par le nom de leur auteur) sur lesquels on clique pour lire le message; et si, par exemple, le message B répond au message A, le message B sera placé en retrait du A avec une ligne grise qui les relie. Le message qui a commencé la polémique se retrouve donc tout en haut à gauche de l'affichage; parfois, ce message (ou d'autres) sont déjà trop vieux et ont été effacés, auquel cas le bouton correspondant apparaît en pointillés.

#### Les sous-enfilades

Lorsqu'une discussion traîne en longueur, il n'est pas rare que le sujet dérive un peu... C'est pourquoi le protocole des news prévoit qu'on puisse répondre à un message tout en changeant de sujet. Dans une enfilade, les messages ayant le même sujet constituent donc une sous-enfilade et `knews` les repère à l'aide de lignes pointillées remplaçant les lignes de suivi dans l'arbre des messages; de plus, les sujets de sous-enfilades apparaissent en retrait dans la liste de sujets.

La compréhension du mécanisme des enfilades est très utile pour reconstituer le fil des discussions. Je vous conseille donc de relire cette section plusieurs fois, et de vous entraîner quelque peu. N'oubliez pas que, comme pour le courrier électronique, le texte qui est précédé du signe « > » est la fraction de texte que, par politesse, l'auteur recopie depuis le message auquel il répond. `knews` colore cette partie en bleu; ainsi, en parcourant l'enfilade, vous voyez immédiatement les parties que vous avez déjà lues.

### Les smileys

Vous verrez de temps en temps apparaître des petits symboles de ce style dans les messages de courrier électronique ou de news : `:-)`

Au début, ce signe passe souvent inaperçu surtout si il est utilisé à la place d'une parenthèse fermante. Maintenant, posez votre joue sur votre épaule gauche et observez attentivement ces trois petits signes de ponctuation...

Compris ? Ce petit personnage, ainsi que ses collègues `:-(` (pas content), `d:-)` (rappeur), `:-{)` (moustachu) etc. s'appellent des smileys ou emoticons. Ils permettent, d'une façon naïve mais efficace, de suppléer à la sécheresse du support électronique pour la communication humaine sans tomber dans toute la sophistication de la correspondance écrite traditionnelle. Il n'y a pas de ridicule à en faire usage :-), et cela peut vous éviter d'être mal compris !

### Lire le groupe linéairement

Si vous êtes décidé à lire tous les articles du groupe (ou même de tous les groupes auxquels vous êtes abonné), vous pouvez vous contenter de cliquer tout le temps sur « Suivant non lu ». Ainsi, vous ne déplacez jamais la souris, ce qui vous permet de réduire vos fonctions métaboliques au minimum et donc de rester plus longtemps devant l'ordinateur à perdre votre temps à lire les news...

### Relire de vieux articles

Vu la quantité d'information qui transite journellement sur Usenet, `knews` estime que si vous relisez toujours tous les messages du groupe, vous ne vous en sortirez plus, et donc il mémorise les articles que vous avez lus et évite de vous les reproposer. Cependant il est parfois utile (typiquement sur les groupes de petites annonces) de retrouver un ancien message; vous pouvez donc demander à `knews` de « Marquer comme non lu » (dans le menu « Divers ») certains des articles d'un groupe.

## Poster dans les news

Il est conseillé d'avoir lu et pratiqué la documentation du courrier électronique avant de s'attaquer à la publication dans les news, qui utilise peu ou prou les mêmes concepts mais demande de redoubler d'attention vu l'importance de l'audience de vos messages. C'est pourquoi les icônes « moyen » et « difficile » fleurissent ici plus qu'ailleurs... Il est aussi fortement recommandé d'avoir consulté Internet et Usenet, site qui vous expliquera ce qu'est Usenet, le Savoir communiquer sur Usenet, et vous donnera les réponses aux questions les plus fréquemment posées.

### Quoi poster dans les news ?

C'est une question que vous devez vous poser avant de poster... Depuis que l'Internet s'est ouvert au grand public, les messages hors-sujet, publicitaires, grossiers, racoleurs etc. se multiplient et font chuter ce que les techniciens appellent le rapport signal-bruit du media. Cette forme de pollution est très mal vue par les usagers de Usenet, elle nuit à l'utilité que chacun peut tirer des news; néanmoins, comme personne ne filtre les messages, la répression de ce comportement dépend uniquement de la bonne volonté de l'émetteur... Lequel est donc prié de s'astreindre à un certain nombre de règles de bonne conduite connues sous le nom de Netiquette.

Les règles de bienséance valables pour le courrier électronique le sont bien évidemment à plus forte raison pour les news; de plus, il faut connaître les points suivants :

- Pour poser une question, cherchez toujours dans la liste des newsgroups celui dont l'intitulé se rapproche le plus de la question voulue. Les différences de sujet entre deux groupes sont parfois subtiles !
  Pour toutes vos questions (liste des groupes francophones, détails de Nétiquette, etc), lisez le groupe `fr.bienvenue` : c'est là qu'est postée régulièrement une série de documents dont la lecture vous évitera bien des déconvenues et des erreurs...
  Remarque à propos d'une erreur fréquente : le groupe `fr.bienvenue.questions` n'est pas un endroit où poser n'importe quelle question : « Ce forum est le lieu où les nouveaux venus peuvent poser les questions que suscite leur première fréquentation des forums fr. de Usenet et auxquelles la lecture des textes contenus dans `fr.bienvenue` et `fr.usenet.reponses` n'aurait pas apporté de réponses suffisamment limpides ».
- Si vous souhaitez poser une question sur un newsgroup, lisez d'abord la FAQ : c'est un message spécial du groupe, reposté à intervalles réguliers afin d'être toujours accessible, qui explique les buts du newsgroup, les messages qui y sont admis, et répond aux questions les plus fréquemment posées sur le groupe. Vous serez surpris de la qualité de ces FAQs, et beaucoup de questions que vous pensiez spécialement tordues trouveront réponse dans ce document.
- Les accents sont autorisés sans restriction dans le corps du message, mais toujours interdits dans le sujet. Il doivent bien entendu être en ISO-8859-1 (isolatin), selon les normes de l'Internet. Sur les stations Sun, le codage est correct, sur les Mac il n'a rien à voir.
- Ne postez pas de fichiers attachés au message en dehors des groupes spécifiquement dédiés à cela (ceux dont le nom contient `binaries`) et même dans ce cas respectez les formats de fichiers exigés (ne postez pas une image BMP si le groupe exige des JPEG par exemple).
- Si vous voulez insulter quelqu'un, faites-le par courrier électronique privé : `Netscape` et `knews` vous donnent la possibilité de répondre par courrier électronique.

### Poster dans les news avec Knews

Je vous suggère de faire vos essais dans le groupe `ens.test` réservé à cet usage. Sélectionnez ce newsgroup par la méthode habituelle, puis ouvrez le menu « Message » : les quatre premières options permettent de composer un message, à envoyer sur les news ou par courrier électronique. Choisissez-en une, votre éditeur de texte se lance et vous pouvez composer le message, en-tête compris (vous pouvez modifier le sujet mais ne touchez à rien d'autre si vous ne savez pas ce que vous faites).

Lorsque vous quittez l'éditeur de texte, une boîte de dialogue s'ouvre vous permettant si vous le souhaitez d'attacher des documents (qui seront transmis sous forme codée avec l'article). Pour n'en rien faire, cliquez simplement sur « Poster ».

Attention : Ne vous inquiétez pas si votre article n'apparaît pas immédiatement dans le groupe : il faut retourner dans le menu principal de `knews` et cliquer sur « Recharger ». Ne réémettez pas votre message, il apparaîtrait en double !

Auteur : Dominique Quatravaux. Dernière modification le 2002-11-17.